## mingw-w64-uvicorn-0.34.0-1.src.tar.zst

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.10.7
wsproto==1.2.0
websockets==13.1

# Packaging
build==1.2.2.post1
twine==6.0.1

# Testing
ruff==0.8.3
pytest==8.3.4
pytest-mock==3.14.0
mypy==1.13.0
types-click==7.1.8
types-pyyaml==6.0.12.20240917
trustme==1.2.0
cryptography==44.0.0
coverage==7.6.9
coverage-conditional-plugin==0.9.0
httpx==0.28.1

# Documentation
mkdocs==1.6.1
mkdocs-material==9.5.48
